org.apache.lucene.luke.app.desktop.components.fragments.analysis

## Class CustomAnalyzerPanelProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.fragments.analysis.CustomAnalyzerPanelProvider

- All Implemented Interfaces:
    ComponentOperatorRegistry.ComponentOperator, CustomAnalyzerPanelOperator

      public final class CustomAnalyzerPanelProvider
      extends Object
      implements CustomAnalyzerPanelOperator

  Provider of the custom analyzer panel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomAnalyzerPanelProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPanel` | `get()`
    `Map<String,String>` | `getCharFilterParams(int index)`
    `Map<String,String>` | `getTokenFilterParams(int index)`
    `void` | `resetAnalysisComponents()`
    `void` | `setAnalysisModel(Analysis model)`
    `void` | `updateCharFilterParams(int index, Map<String,String> updatedParams)`
    `void` | `updateCharFilters(List<Integer> deletedIndexes)`
    `void` | `updateTokenFilterParams(int index, Map<String,String> updatedParams)`
    `void` | `updateTokenFilters(List<Integer> deletedIndexes)`
    `void` | `updateTokenizerParams(Map<String,String> updatedParams)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomAnalyzerPanelProvider

          public CustomAnalyzerPanelProvider()
                                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### get

          public JPanel get()

    - #### setAnalysisModel

          public void setAnalysisModel(Analysis model)

      Specified by:
        `setAnalysisModel` in interface `CustomAnalyzerPanelOperator`

    - #### resetAnalysisComponents

          public void resetAnalysisComponents()

      Specified by:
        `resetAnalysisComponents` in interface `CustomAnalyzerPanelOperator`

    - #### updateCharFilters

          public void updateCharFilters(List<Integer> deletedIndexes)

      Specified by:
        `updateCharFilters` in interface `CustomAnalyzerPanelOperator`

    - #### updateTokenFilters

          public void updateTokenFilters(List<Integer> deletedIndexes)

      Specified by:
        `updateTokenFilters` in interface `CustomAnalyzerPanelOperator`

    - #### getCharFilterParams

          public Map<String,String> getCharFilterParams(int index)

      Specified by:
        `getCharFilterParams` in interface `CustomAnalyzerPanelOperator`

    - #### updateCharFilterParams

          public void updateCharFilterParams(int index,
                                             Map<String,String> updatedParams)

      Specified by:
        `updateCharFilterParams` in interface `CustomAnalyzerPanelOperator`

    - #### updateTokenizerParams

          public void updateTokenizerParams(Map<String,String> updatedParams)

      Specified by:
        `updateTokenizerParams` in interface `CustomAnalyzerPanelOperator`

    - #### getTokenFilterParams

          public Map<String,String> getTokenFilterParams(int index)

      Specified by:
        `getTokenFilterParams` in interface `CustomAnalyzerPanelOperator`

    - #### updateTokenFilterParams

          public void updateTokenFilterParams(int index,
                                              Map<String,String> updatedParams)

      Specified by:
        `updateTokenFilterParams` in interface `CustomAnalyzerPanelOperator`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.